"""
Define the constants used in the compute contibutions App
"""
from symbolicConstants import SymbolicConstant
from abaqusConstants import TRUE, FALSE

CCF = SymbolicConstant('CCF')
CMCF = SymbolicConstant('CMCF')

FILE_EXTENSION = '.ccf'

MINIMUM_NUM_MODES = 1 

TOLERANCE = 1e-3 # tolerance value used for testing unstable modes
COMP_NSET_START_STRING = 'COMPT_' # used for searching node set based components

NUM_ROWS = 5 # Used for the number of rows for Tables and Lists