# This module contains the default dimensions each bolt type.
from boltStudioConstants import BOLT, NUT
# Dictionary containing all bolt/nut definitions
bolts = {}

# New Family
bolts['Hexagon with Flange'] = {}

# New bolt in Family
bolts['Hexagon with Flange']['M8'] = {}
bolts['Hexagon with Flange']['M8'][BOLT] = {'l': 50.,
                                            'lth': 25.,
                                            'lsh1': 7.,
                                            'lsh2': 7.,
                                            'lt1': 3.,
                                            'lt2': 3.,
                                            'dh': 10.,
                                            'dc': 15.,
                                            'dt': 7.5,
                                            'dwo': 25.,
                                            'dwi': 10.,
                                            'dsh1': 7.5,
                                            'dsh2': 7.,
                                            'deff': 8.0,
                                            'hh': 10.,
                                            'hc': 4.,
                                            'alpha': 15.0,
                                            'hw': 4.,
                                            'preload': 1000.,
                                            }
bolts['Hexagon with Flange']['M8'][NUT] = {'dnh': 10.,
                                           'dnc': 15.,
                                           'dnwo': 25.,
                                           'dnwi': 10.,
                                           'hnh': 10.,
                                           'hnc': 4.,
                                           'beta': 15.,
                                           'hnw': 4.,
                                           }
# New Family
bolts['Hexagon with Flange'] = {}

# New bolt in Family
bolts['Hexagon with Flange']['new'] = {}
bolts['Hexagon with Flange']['new'][BOLT] = {'l': 20.,
                                            'lth': 25.,
                                            'lsh1': 7.,
                                            'lsh2': 7.,
                                            'lt1': 3.,
                                            'lt2': 3.,
                                            'dh': 10.,
                                            'dc': 15.,
                                            'dt': 7.5,
                                            'dwo': 25.,
                                            'dwi': 10.,
                                            'dsh1': 7.5,
                                            'dsh2': 7.,
                                            'deff': 8.0,
                                            'hh': 10.,
                                            'hc': 4.,
                                            'alpha': 15.0,
                                            'hw': 4.,
                                            'preload': 1000.,
                                            }
bolts['Hexagon with Flange']['new'][NUT] = {'dnh': 10.,
                                           'dnc': 15.,
                                           'dnwo': 25.,
                                           'dnwi': 10.,
                                           'hnh': 10.,
                                           'hnc': 4.,
                                           'beta': 15.,
                                           'hnw': 4.,
                                           }
# New bolt in Family
bolts['Hexagon with Flange']['M10'] = {}
bolts['Hexagon with Flange']['M10'][BOLT] = {'l': 50.,
                                            'lth': 25.,
                                            'lsh1': 7.,
                                            'lsh2': 7.,
                                            'lt1': 3.,
                                            'lt2': 3.,
                                            'dh': 10.,
                                            'dc': 15.,
                                            'dt': 7.5,
                                            'dwo': 25.,
                                            'dwi': 10.,
                                            'dsh1': 7.5,
                                            'dsh2': 7.,
                                            'deff': 8.0,
                                            'hh': 10.,
                                            'hc': 4.,
                                            'alpha': 15.0,
                                            'hw': 4.,
                                            'preload': 1000.,
                                            }
bolts['Hexagon with Flange']['M10'][NUT] = {'dnh': 10.,
                                           'dnc': 15.,
                                           'dnwo': 25.,
                                           'dnwi': 10.,
                                           'hnh': 10.,
                                           'hnc': 4.,
                                           'beta': 15.,
                                           'hnw': 4.,
                                           }


# New Family
bolts['TestNew'] = {}

# New bolt in Family
bolts['TestNew']['M8'] = {}
bolts['TestNew']['M8'][BOLT] = {'l': 50.,
                                'lth': 2.,
                                'lsh1': 3.,
                                'lsh2': 4.,
                                'lt1': 6.,
                                'lt2': 3.,
                                'dh': 10.,
                                'dc': 15.,
                                'dt': 7.5,
                                'dwo': 25.,
                                'dwi': 10.,
                                'dsh1': 7.5,
                                'dsh2': 7.,
                                'deff': 8.0,
                                'hh': 10.,
                                'hc': 4.,
                                'alpha': 15.0,
                                'hw': 4.,
                                'preload': 10000.,
                                }
bolts['TestNew']['M8'][NUT] = {'dnh': 10.,
                               'dnc': 15.,
                               'dnwo': 25.,
                               'dnwi': 10.,
                               'hnh': 10.,
                               'hnc': 4.,
                               'beta': 15.,
                               'hnw': 4.,
                               }
