from abaqusGui import *

try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('Create Parts from Cells', version)
except:    
    status = 'OK'


if status=='OK':
    thisPath = os.path.abspath(__file__)
    thisDir = os.path.dirname(thisPath)

    sendCommand("import sys")
    sendCommand("sys.path.append(r'%s')" % thisDir)
    from kernelAccess import *
    from abaqusConstants import *
    import abq_CreatePartsFromCells.createPartsFromCellsGui




    # Register commands
    #
    version = '1.1-1'
    mainWindow = getAFXApp().getAFXMainWindow()
    ins=abq_CreatePartsFromCells.createPartsFromCellsGui.createPartstoolsetGui()


    def onModuleSwitch(moduleName):
        if not moduleName == 'Part':
            ins.group.hide()
        else:
            ins.group.show()

    setSwitchModuleHook(onModuleSwitch)

    try:
        mainWindow.registerToolset(ins, GUI_IN_TOOLBAR)
    except:
        print 'Create Parts From Cells Plug-in registration failed'
        pass


else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()