from abaqusGui import *
import os, uti

majorNumber, minorNumber, updateNumber = getAFXApp().getBaseVersionNumbers()
verAbaqus = majorNumber * 1.0 + minorNumber * 0.1
if verAbaqus > 6.6:
    import _abqPluginUtils
    
# Use package syntax to avoid possible name clashes with other plugins
#
from abq_Mac.macForm import MacForm

# Register commands
#
version = '1.4-3'
"""if verAbaqus < 6.6:
    status = "Plug-in " + str(version) + " version was not registered because "\
             "it is not supported in Abaqus version " + str(uti.getVersion())
elif verAbaqus == 6.6:
    status = 'OK'
else:
    status = _abqPluginUtils.checkCompatibility('Modal Assurance Criteria', version)"""
status = _abqPluginUtils.checkCompatibility('Modal Assurance Criteria', version)

#if status == 'OK':
toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
toolset.registerGuiMenuButton(
    object=MacForm(toolset),
    buttonText='NVH|Modal Assurance Criteria...',
    messageId=AFXMode.ID_ACTIVATE,
    icon=None,
    kernelInitString='import abq_Mac.macModule',
    applicableModules=["Visualization",],
    version=version,
    author='Dassault Systemes Simulia Corp.',
    description='This plug-in calculates the Modal Assurance Criteria (MAC)',
    helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
            '/php/enduser/std_adp.php?p_faqid=3146')
"""else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()"""