"This file contains settings for the MDB Dump plug-in"

import os.path
execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the getModifiedName function
(settings, ) = importFile(__file__, ("caeXML.kernel.settings", )) # Allows base-package directory to be changed

# Path to the class used for loading the object
(fullClassPath, ) = getModifiedName(__file__, ("caeXML.mdbDump.mdbXML.mdbXML", ))

# Name of the object being saved
savedObjectName = "Model Database"

# Name of the record where default objects will be stored
defaultRecordname = "defaultDump"

# Name of the default file to be loaded/saved
defaultFilename = "mdbDump"

# Plug-in Name
pluginName = "MDB Dump"

# Record Base name
baseName = "MDB Dump-"

# Unsupported Operations
# Possible values are: Export, Import, Copy, Rename, Delete, Export Defaults, Remove Defaults
unsupportedOperations = (settings.IMPORT_FLAG, settings.EXPORT_DEFAULT_FLAG, settings.REMOVE_DEFAULT_FLAG)

#Enable/Disable Options to import/export
disableFileIO=False
disableMdbIO=True
disableOdbIO=True

# Form that will be used to create the dialog box for exporting
(exportFormModule, ) = getModifiedName(__file__, ("caeXML.mdbDump.mdbExportForm", ))
exportFormClass = "MDBExportForm"
