from abaqusGui import *

#~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
# Register the plug-in

    # Use package syntax to avoid possible name clashes with other plugins
#
from abq_OctaveBand.octaveBandForm import OctaveBandForm
toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
toolset.registerGuiMenuButton(
    buttonText='NVH|Acoustics Toolset|Octave Band...', 
    object=OctaveBandForm(toolset),
    messageId=AFXMode.ID_ACTIVATE,
    icon=None,
    kernelInitString="import abq_OctaveBand.octaveBandKernel; octaveBand=abq_OctaveBand.octaveBandKernel.OctaveKernel(); from abq_OctaveBand.octaveBandConstants import *",
    applicableModules=["Visualization",],
    author='Dassault Systemes Simulia Corp.',
    description='creates One octave or one third octave band with STL')
