from abaqusGui import *


###########################################################################
# Class definition
###########################################################################

class TriangleDB(AFXDataDialog):

    #----------------------------------------------------------------------
    def __init__(self, form):

        AFXDataDialog.__init__(self, form, 'Create Triangle',
            self.OK|self.CANCEL, DIALOG_ACTIONS_SEPARATOR)

        self.nameText = AFXTextField(self, 20, 'Name:', form.nameKw, 0)
        
        FXLabel(self, 'Type: Right triangle')
        
        va = AFXVerticalAligner(self)
        AFXTextField(va, 10, 'Base:', form.baseKw, 0)
        AFXTextField(va, 10, 'Height:', form.heightKw, 0)
