"This module stores the export form for XYData"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, multExportForm, xyDataExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.multExportForm", "caeXML.xyData.xyDataExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class XYDataExportForm(multExportForm.MultExportForm):
    "The class for definition of the form for XYData exporting"

    # The constructor for the form
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, settingsStr, ownerForm, exportMode):
        "Constructor for form"
        self.numFields = 1
        self.fieldLabels = ["XYData"]
        multExportForm.MultExportForm.__init__(self, owner, settingsStr, ownerForm, exportMode)
        xyDataKw = AFXStringTarget("")
        self.comboKw.append(xyDataKw)

    # Getfirst Step function
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
        "Getfirst dialog function"
        self.curDb = xyDataExportDB.XYDataExportDB(self, self.titleStr, self.exportMode)
        return self.curDb
