"""
Create the recolor XY Curves menu button.
"""

from abaqusGui import getAFXApp

toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
helpUrl = 'N/A'
toolset.registerKernelMenuButton(buttonText='Recolor XY Curves', moduleName='xyColors',
                                 functionName='recolor()', version='1.1', author='ABAQUS, Inc.',
                                 description='Kernel Plug-in to change the colors of the curve.',
                                 )



