""" Tables for one octave and One third octave data"""


oneOctaveData = ((   11.,    16.,    22.),
                 (   22.,    31.5,   44.),
                 (   44.,    63.,    88.),
                 (   88.,   125.,   177.),
                 (  177.,   250.,   355.),
                 (  355.,   500.,   710.),
                 (  710.,  1000.,  1420.),
                 ( 1420.,  2000.,  2840.),
                 ( 2840.,  4000.,  5680.),
                 ( 5680.,  8000., 11360.),
                 (11360., 16000., 22720.))

thirdOctaveData = ((   14.1,   16.,   17.8),
                   (   17.8,   20.,   22.4),
                   (   22.4,   25.,   28.2),
                   (   28.3,   31.5,  35.5),
                   (   35.5,   40.,   44.7),
                   (   44.7,   50.,   56.2),
                   (   56.2,   63.,   70.8),
                   (   70.8,   80.,   89.1),
                   (   89.1,  100.,   112.),
                   (  112.,   125.,   141.),
                   (  141.,   160.,   178.),
                   (  178.,   200.,   224.),
                   (  224.,   250.,   282.),
                   (  282.,   315.,   355.),
                   (  355.,   400.,   447.),
                   (  447.,   500.,   562.),
                   (  562.,   630.,   708.),
                   (  708.,   800.,   891.),
                   (  891.,  1000.,  1122.),
                   ( 1122.,  1250.,  1413.),
                   ( 1413.,  1600.,  1778.),
                   ( 1778.,  2000.,  2239.),
                   ( 2239.,  2500.,  2818.),
                   ( 2818.,  3150.,  3548.),
                   ( 3548.,  4000.,  4467.),
                   ( 4467.,  5000.,  5623.),
                   ( 5623.,  6300.,  7079.),
                   ( 7079.,  8000.,  8913.),
                   ( 8913., 10000., 11220.),
                   (11220., 12220., 14130.),
                   (14130., 16000., 17780.),
                   (17780., 20000., 22390.))

# turn these into dictionaries for easy lookup
oneOctaveDict = {}
for data in oneOctaveData:
    oneOctaveDict[data[1]] = data[:]
oneOctaveKeys = oneOctaveDict.keys()
oneOctaveKeys.sort()

thirdOctaveDict = {}
for data in thirdOctaveData:
    thirdOctaveDict[data[1]] = data[:]
thirdOctaveKeys = thirdOctaveDict.keys()
thirdOctaveKeys.sort()

