"""
Utility to split file names or add extensions to file names.
"""

def splitFileName(fileName, splitter):
    """
    Function to split and return name without extension.
    """
    
    fileName = fileName.strip()
    if fileName[-3:] == splitter:
        fileName = fileName[:-3]

    return fileName

def addExt(fileName, ext):
    """
    Function to check and add extension to file name.
    """    
    
    fileName = fileName.strip()
    if fileName[-3:] != ext:
        fileName = fileName + ext

    return fileName
