from abaqusGui import *
from abq_CaeManagerTemplate.managerDB import ManagerDB

###########################################################################
# Class definition
###########################################################################

class VcctManDB(ManagerDB):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, repository, title, leadingRowLabels='Name'):

        ManagerDB.__init__(self, form, repository, title, leadingRowLabels)

        self.form = form
        self.repository = repository

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def hide(self):

        unregisterCurrentContext(self.onUpdate)
        exec('%s.unregisterQuery(self.onUpdate)' % self.repository)
        ManagerDB.hide(self)

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def show(self):

        registerCurrentContext(self.onUpdate)    
        numSelections = len(self.getSelections())
        self.setButtonStates(numSelections)
        self.repository = self.form.cmd.getExpandedObjectName()
        exec('%s.registerQuery(self.onUpdate)' % self.repository)
        ManagerDB.show(self)