import os.path

################################################################################

def importFile(curFilePointer, modules):
    "This function takes a list of module paths (as strings) and current file path as input and returns the module objects"
    ret = []
    (head, tail) = os.path.split(curFilePointer)
    while os.path.exists(os.path.join(head, '__init__.py')) or os.path.exists(os.path.join(head, '__init__.pyc')):
        (head, tail) = os.path.split(head)
    for module in modules:
        moduleStr = tail
        parts = module.split(".")
        for part in parts[1:]:
            moduleStr = moduleStr + '.' + part
        exec("import " + moduleStr)
        ret.append(eval(moduleStr))
    return tuple(ret)

################################################################################

def getModifiedName(curFilePointer, modules):
    "This function takes a list of module paths (as strings) and current file path as input to return the new module path"
    ret = []
    (head, tail) = os.path.split(curFilePointer)
    while os.path.exists(os.path.join(head, '__init__.py')) or os.path.exists(os.path.join(head, '__init__.pyc')):
        (head, tail) = os.path.split(head)
    for module in modules:
        moduleStr = tail
        parts = module.split(".")
        for part in parts[1:]:
            moduleStr = moduleStr + '.' + part
        ret.append(moduleStr)
    return tuple(ret)

################################################################################

def modifyName(folderName, modules):
    "This function takes a list of module paths (as strings) and current file path as input to return the new module path"
    ret = []
    for module in modules:
        moduleStr = folderName
        parts = module.split(".")
        for part in parts[1:]:
            moduleStr = moduleStr + '.' + part
        ret.append(moduleStr)
    return tuple(ret)

################################################################################

def importModifiedModules(folderName, modules):
    "This function takes a list of module paths (as strings) and current file path as input to return the new module path"
    ret = []
    for module in modules:
        moduleStr = folderName
        parts = module.split(".")
        for part in parts[1:]:
            moduleStr = moduleStr + '.' + part
        exec("import " + moduleStr)
        ret.append(eval(moduleStr))
    return tuple(ret)

################################################################################

