from abaqusGui import *
  
# Register commands
#
pgVersion = '1.1-1'
try:
    import _abqPluginUtils
    status = _abqPluginUtils.checkCompatibility('ColorDomain', version)
except:    
    status = 'OK'


if status == 'OK':
    toolset=getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerKernelMenuButton(
        buttonText='Visualization|Color Parallel Domains...',
        moduleName='colorDomain',
        functionName='colorDomain()',
        applicableModules=['Visualization',],
        version=pgVersion,
        author='Dassault Systemes Simulia Corp.',
        description='This plug-in colors internal domain element set Abaqus/CAE',
        helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'
                '/php/enduser/std_adp.php?p_faqid=3077')
else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep()