"This module stores the export dialog box for display groups"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, multExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.multExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class DGExportDB(multExportDB.MultExportDB):
    "The class for definition of the dialog-box for Display Groups exporting"

    # The constructor for the dialog box
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, titleStr, exportMode):
        "Constructor for dialog box"
        multExportDB.MultExportDB.__init__(self, form, titleStr, exportMode)

    # This function returns the keys
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def returnFieldKeys(self, numb, prevKeys=[]):
        "This function returns the keys"
        from kernelAccess import session
        if numb == 0:
            l = session.displayGroups.keys()
            l.remove("All")
            return l
        else:
            raise ValueError, "Incorrect number of keys specified"

