"This module stores the export form for Display Groups"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, multExportForm, dgExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.multExportForm", "caeXML.displayGroups.dgExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class DGExportForm(multExportForm.MultExportForm):
    "The class for definition of the form for Display Group exporting"

    # The constructor for the form
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, settingsStr, ownerForm, exportMode):
        "Constructor for form"
        self.numFields = 1
        self.fieldLabels = ["Display Group"]
        multExportForm.MultExportForm.__init__(self, owner, settingsStr, ownerForm, exportMode)
        dgDataKw = AFXStringTarget("")
        self.comboKw.append(dgDataKw)

    # Getfirst Step function
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
        "Getfirst dialog function"
        self.curDb = dgExportDB.DGExportDB(self, self.titleStr, self.exportMode)
        return self.curDb
