"This file contains settings for the Save Display Groups plug-in"

import os.path
execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the getModifiedName function
(settings, ) = importFile(__file__, ("caeXML.kernel.settings", )) # Allows base-package directory to be changed

# Path to the class used for loading the object
(fullClassPath, ) = getModifiedName(__file__, ("caeXML.displayGroups.dgXML.DGXML", ))

# Name of the object being saved
savedObjectName = "Display Group"

# Name of the record where default objects will be stored
defaultRecordname = "defaultDisplayGroup"

# Name of the default file to be loaded/saved
defaultFilename = "DisplayGroups"

# Plug-in Name
pluginName = "Save Display Group"

# Record Base name
baseName = "Display Group-"

# Unsupported Operations
# Possible values are: Export, Import, Copy, Rename, Delete, Export Defaults, Remove Defaults
unsupportedOperations = (settings.EXPORT_DEFAULT_FLAG, settings.REMOVE_DEFAULT_FLAG)

# Form that will be used to create the dialog box for exporting
(exportFormModule, ) = getModifiedName(__file__, ("caeXML.displayGroups.dgExportForm", ))
exportFormClass = "DGExportForm"

# Enable Multiple import or not
enableMultipleImport = True
