from abaqusGui import *
from abq_InputFile_deformed_config.inputFileForm import InputFileForm
version = '1.1-1'

import _abqPluginUtils, os
#status = _abqPluginUtils.checkCompatibility('inputFile', version)
status= 'OK'

# Register as plug-in.
#
if status == 'OK':

    toolset = getAFXApp().getAFXMainWindow().getPluginToolset()
    toolset.registerGuiMenuButton(buttonText='Write Input File - Deformed...',
            object=InputFileForm(toolset),
            kernelInitString='import abq_InputFile_deformed_config.inputFileUtils',
            applicableModules=['Visualization'],
            version=version,
            author='Dassault Systemes Simulia Corp.',
            description='This plug-in allows the user to write the coordinates of the nodes of the final deformed configuration and element connectivity of the nodes and elements displayed'\
            'on the viewport to an input file',
            helpUrl='http://abaqus.custhelp.com/cgi-bin/abaqus.cfg'\
                    '/php/enduser/std_adp.php?p_faqid=5010')

else:
    getAFXApp().getAFXMainWindow().writeToMessageArea(status)
    getAFXApp().beep() 
