"File to store settings for Save materials plugin"

import os.path
execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the getModifiedName function
(settings, ) = importFile(__file__, ("caeXML.kernel.settings", )) # Allows base-package directory to be changed

# Path to the class used for loading material
(fullClassPath, ) = getModifiedName(__file__, ("caeXML.materials.materialsXML.MaterialsXML", ))

# Name of the object being saved
savedObjectName = "Material"

# Name of the record where default objects will be stored
defaultRecordname = "defaultMaterials"

# Name of the default file to be loaded/saved
defaultFilename = "Materials"

# Plug-in Name
pluginName = "Save Materials"

# Record Base name
baseName = "Material-"

# Unsupported Operations
# Possible values are: Export, Import, Copy, Rename, Delete, Export Defaults, Remove Defaults
unsupportedOperations = (settings.EXPORT_DEFAULT_FLAG, settings.REMOVE_DEFAULT_FLAG)

# Form that will be used to create the dialog box for exporting
(exportFormModule, ) = getModifiedName(__file__, ("caeXML.materials.materialExportForm", ))
exportFormClass = "MaterialExportForm"

# Enable Multiple import or not
enableMultipleImport = True
