from calibrationBehavior import *


###########################################################################
# Class definition
###########################################################################

class MyBehavior( CalibrationBehavior ):

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__( self, name, typeName, repository ):
            
        CalibrationBehavior.__init__(self, name, typeName, repository)
        
        self.nu = 0.0 

    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def mapToMaterial( self, materialName ):
        
        self.materialName = materialName
        
        mat = mdb.models[ self.modelName ].materials[ materialName ]
        mat.Density( table=( ( self.nu, ), ) )
