"""
This script creates the ABAQUS/CAE application.
"""

from abaqusGui import *
import sys
from caeMainWindow import CaeMainWindow

# Initialize the application object.
#
app = AFXApp(appName='ABAQUS/CAE', vendorName='ABAQUS, Inc.')
app.init(sys.argv)

# Create the main window.
#
CaeMainWindow(app)

# Create the application.
#
app.create()

# Run the application.
#
app.run()
