"This module stores the export form for Path"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, multExportForm, pathExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.multExportForm", "caeXML.paths.pathExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class PathExportForm(multExportForm.MultExportForm):
    "The class for definition of the form for Path exporting"

    # The constructor for the form
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, owner, settingsStr, ownerForm, exportMode):
        "Constructor for form"
        self.numFields = 1
        self.fieldLabels = ["Path"]
        multExportForm.MultExportForm.__init__(self, owner, settingsStr, ownerForm, exportMode)
        pathKw = AFXStringTarget("")
        self.comboKw.append(pathKw)

    # Getfirst Step function
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def getFirstDialog(self):
        "Getfirst dialog function"
        self.curDb = pathExportDB.PathExportDB(self, self.titleStr, self.exportMode)
        return self.curDb
