"This file contains settings for the Save Path plug-in"

import os.path
execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the getModifiedName function
(settings, ) = importFile(__file__, ("caeXML.kernel.settings", )) # Allows base-package directory to be changed

# Path to the class used for loading the object
(fullClassPath, ) = getModifiedName(__file__, ("caeXML.paths.pathXML.PathXML", ))

# Name of the object being saved
savedObjectName = "Path"

# Name of the record where default objects will be stored
defaultRecordname = "defaultPaths"

# Name of the default file to be loaded/saved
defaultFilename = "Paths"

# Plug-in Name
pluginName = "Save Paths"

# Record Base name
baseName = "Path-"

# Unsupported Operations
# Possible values are: Export, Import, Copy, Rename, Delete, Export Defaults, Remove Defaults
unsupportedOperations = (settings.EXPORT_DEFAULT_FLAG, settings.REMOVE_DEFAULT_FLAG)

# Form that will be used to create the dialog box for exporting
(exportFormModule, ) = getModifiedName(__file__, ("caeXML.paths.pathExportForm", ))
exportFormClass = "PathExportForm"

# Enable Multiple import or not
enableMultipleImport = True

