"This module stores the export dialog box for session"

from abaqusGui import *

execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the importFile function
(settings, managerExportDB) = importFile(__file__, ("caeXML.kernel.settings", "caeXML.gui.managerExportDB")) # Allows base-package directory to be changed

#
# Class definition
#
class sessionExportDB(managerExportDB.ManagerExportDB):
    "The class for definition of the dialog-box for session exporting"

    # The constructor for the dialog box
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def __init__(self, form, titleStr, exportMode):
        "Constructor for dialog box"
        self.numCombos = 0
        self.comboLabels = []
        managerExportDB.ManagerExportDB.__init__(self, form, titleStr, exportMode)
        self.disableODB = FXCheckButton(self, "Disable ODB Export", tgt=form.odbDisableKw)
        #self.disableODB.disable()

    # This function performs checks to see if the number of combos defined are correct or not
    #~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    def checkIfCombosDefinedCorrectly(self):
        "This function performs checks to see if the number of combos defined are correct or not"
        return
