"This file contains settings for the Sketch Background plug-in"

import os.path
execfile(os.path.join(os.path.dirname(os.path.dirname(__file__)), "commonExec.py")) # Initializes the getModifiedName function
(settings, ) = importFile(__file__, ("caeXML.kernel.settings", )) # Allows base-package directory to be changed

# Path to the class used for loading the object
(fullClassPath, ) = getModifiedName(__file__, ("caeXML.sketchBackground.sketchXML.SketchXML", ))

# Name of the object being saved
savedObjectName = "Sketch Backgrounds"

# Name of the record where default objects will be stored
defaultRecordname = "defaultSketchBackground"

# Name of the default file to be loaded/saved
defaultFilename = "SketchBackground"

# Plug-in Name
pluginName = "Sketch Background"

# Record Base name
baseName = "Sketch Background-"

# Unsupported Operations
# Possible values are: Export, Import, Copy, Rename, Delete, Export Defaults, Remove Defaults
unsupportedOperations = (settings.EXPORT_DEFAULT_FLAG, settings.REMOVE_DEFAULT_FLAG)

# Form that will be used to create the dialog box for exporting
exportFormModule = None
exportFormClass = None
