"This file contains settings for the Save Contour Options plug-in"

import os.path
execfile(os.path.join(os.path.dirname(os.path.dirname(os.path.dirname(__file__))), "commonExec.py")) # Initializes the getModifiedName function
(settings, ) = importFile(__file__, ("caeXML.kernel.settings", )) # Allows base-package directory to be changed

# Path to the class used for loading the object
(fullClassPath, ) = getModifiedName(__file__, ("caeXML.viewerPlotOptions.contourOptions.contourOptionsXML.ContourOptionsXML", ))

# Name of the object being saved
savedObjectName = "Contour Options"

# Name of the record where default objects will be stored
defaultRecordname = "defaultContourOptions"

# Name of the default file to be loaded/saved
defaultFilename = "ContourOptions"

# Plug-in Name
pluginName = "Contour Options"

# Record Base name
baseName = "Contour Options-"

# Unsupported Operations
# Possible values are: Export, Import, Copy, Rename, Delete, Export Defaults, Remove Defaults
unsupportedOperations = ()

# Form that will be used to create the dialog box for exporting
exportFormModule = None
exportFormClass = None
